see http://docs.aws.amazon.com/amazondynamodb/latest/developerguide/Expressions.UpdateExpressions.html for full documentation

### Hierarchy

- UpdateExpressionDefinitionChain

## Index

### Properties

- add
- appendToList
- decrementBy
- incrementBy
- remove
- removeFromListAt
- removeFromSet
- set

## Properties

### add

add: function

- Defined in dynamo/expression/type/update-expression-definition-chain.ts:112

adds or manipulates a value to an attribute of type N(umber) or S(et), manipulation behaviour differs based on attribute type

param

  --update-expression "ADD QuantityOnHand :q" \ --expression-attribute-values '{":q": {"N": "5"}}' \

  --update-expression "ADD Color :c" \ --expression-attribute-values '{":c": {"SS":["Orange", "Purple"]}}' \

#### Type declaration

- - (...values: any[]): UpdateExpressionDefinitionFunction

  - #### Parameters

    - ##### Rest ...values: any[]

    #### Returns UpdateExpressionDefinitionFunction

### appendToList

appendToList: function

- Defined in dynamo/expression/type/update-expression-definition-chain.ts:86

appends one or more values to the start or end of a list, value must be of type L(ist)

#### Type declaration

- - (value: any[], position?: "START" | "END"): UpdateExpressionDefinitionFunction

  - #### Parameters

    - ##### value: any[]

    - ##### Optional position: "START" | "END"

    #### Returns UpdateExpressionDefinitionFunction

### decrementBy

decrementBy: function

- Defined in dynamo/expression/type/update-expression-definition-chain.ts:73

#### Type declaration

- - (value: number): UpdateExpressionDefinitionFunction

  - #### Parameters

    - ##### value: number

    #### Returns UpdateExpressionDefinitionFunction

### incrementBy

incrementBy: function

- Defined in dynamo/expression/type/update-expression-definition-chain.ts:72

#### Type declaration

- - (value: number): UpdateExpressionDefinitionFunction

  - #### Parameters

    - ##### value: number

    #### Returns UpdateExpressionDefinitionFunction

### remove

remove: function

- Defined in dynamo/expression/type/update-expression-definition-chain.ts:91

#### Type declaration

- - (): UpdateExpressionDefinitionFunction

  - #### Returns UpdateExpressionDefinitionFunction

### removeFromListAt

removeFromListAt: function

- Defined in dynamo/expression/type/update-expression-definition-chain.ts:94

removes an item at the given position(s), the remaining elements are shifted

#### Type declaration

- - (...positions: number[]): UpdateExpressionDefinitionFunction

  - #### Parameters

    - ##### Rest ...positions: number[]

    #### Returns UpdateExpressionDefinitionFunction

### removeFromSet

removeFromSet: function

- Defined in dynamo/expression/type/update-expression-definition-chain.ts:124

param
returns

  --update-expression "DELETE Color :p" \ --expression-attribute-values '{":p": {"SS": ["Yellow", "Purple"]}}'

#### Type declaration

- - (...values: any[]): UpdateExpressionDefinitionFunction

  - #### Parameters

    - ##### Rest ...values: any[]

    #### Returns UpdateExpressionDefinitionFunction

### set

set: function

- Defined in dynamo/expression/type/update-expression-definition-chain.ts:81

will update the item at the path, path can be a top level attribute or a nested attribute. samples:

- persons.age
- places[0].address.street

#### Type declaration

- - (value: any): UpdateExpressionDefinitionFunction

  - #### Parameters

    - ##### value: any

    #### Returns UpdateExpressionDefinitionFunction

Generated using TypeDoc